local gears = require("gears")
local awful = require("awful")
local wibox = require("wibox")

function layoutbox(s)
    lb = awful.widget.layoutbox(s)

    lb:buttons(
        gears.table.join(
            awful.button(
                {},
                1,
                function()
                    awful.layout.inc(1)
                end
            ),
            awful.button(
                {},
                3,
                function()
                    awful.layout.inc(-1)
                end
            )
        )
    )

    return lb
end